# /set

{% hint style="info" %}
This endpoint requires a POST request!
{% endhint %}

### Endpoint Headers:

* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)

### Endpoint Body Parameters:

* name - Name of the variable to set <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)
* value - Value of the variable to set <mark style="color:orange;">**\[String | Array | Object]**</mark> (<mark style="color:red;">**Required**</mark>)

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/db/set` endpoint using BDFD

<pre class="language-bash"><code class="lang-bash">$httpAddHeader[apikey;&#x3C;YOUR-API-KEY>]
$httpPost[https://bdfddata.rickyjs.xyz/&#x3C;version>/db/set;{
<strong>"name": "variable-name", 
</strong>"value": "variable-value"
}]

$httpResult OR $httpResult[entries]
</code></pre>

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/db/set` endpoint using Discord.js

```javascript
const axios = require('axios');
(async () => {
return await axios.post('https://bdfddata.rickyjs.xyz/<version>/db/set', {
"name": "variable-name",
"value": "variable-value"
},
{
headers: {
"apikey": "<YOUR-API-KEY>"
}
}).then(res=>res.data)
})()
```

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200</summary>

API succeeded and details were fetched.

```javascript
{
 status: 200,
 entries: // returns the value of the new or edited variable
 }   
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```javascript
{
    status: 400
    error: 'Cannot read ...  (This can vary)'
}
```

</details>

<details>

<summary>Code 424</summary>

Origin Database Unavailable

```javascript
  status: 424,
  error: 'An error occurred while contacting our Database. Please contact the BDFDDaya API Support Team if this issue persists.'
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://dadocs.rickyjs.xyz/endpoints/db/set.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
